petsc-3.10.5 2019-03-28
Report Typos and Errors

# TaoMonitorDefault

Default routine for monitoring progress of the Tao solvers (default). This monitor prints the function value and gradient norm at each iteration. It can be turned on from the command line using the -tao_monitor option

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoMonitorDefault(Tao tao, void *ctx)

Collective on Tao

### Input Parameters

| tao | - the Tao context
| ctx | - PetscViewer context or NULL

### Options Database Keys

-tao_monitor -

### See Also

TaoDefaultSMonitor(), TaoSetMonitor()

### Level

advanced

### Location

src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages